/***************************************************

//Web: http://www.buydisplay.com

EastRising Technology Co.,LTD

Examples for ER-TFTM1.69-1

Display is Hardward SPI 4-Wire SPI Interface 

Tested and worked with: 

Works with Raspberry pi

****************************************************/
#include "DEV_Config.h"

#include "LCD_1in69.h"

#include "GUI_Paint.h"

#include "GUI_BMP.h"

#include <stdio.h>		//printf()

#include <stdlib.h>		//exit()

#include <signal.h>     //signal()

int main()
{
 // Exception handling:ctrl + c

    signal(SIGINT, Handler_1in69_LCD);

    

    /* Module Init */

	if(DEV_ModuleInit() != 0){

        DEV_ModuleExit();

        exit(0);

    }

	
  while(1)
  {

    /* LCD Init */

	printf("1.69inch LCD demo...\r\n");

	LCD_1in69_Init();

	LCD_1in69_Clear(BLACK);

    

    UWORD *BlackImage;

    UDOUBLE Imagesize = LCD_HEIGHT*LCD_WIDTH*2;

    printf("Imagesize = %d\r\n", Imagesize);

    if((BlackImage = (UWORD *)malloc(Imagesize)) == NULL) {

        printf("Failed to apply for black memory...\r\n");

        exit(0);

    }

    // printf("size = %d\r\n",sizeof(BlackImage) / sizeof(UWORD));

    // /*1.Create a new image cache named IMAGE_RGB and fill it with white*/

    Paint_NewImage(BlackImage, LCD_WIDTH, LCD_HEIGHT, 0, WHITE, 16);

    Paint_Clear(BLACK);



    // /* GUI */

    printf("drawing...\r\n");

    // /*2.Drawing on the image*/

    Paint_DrawPoint(5, 10, BLACK, DOT_PIXEL_1X1, DOT_STYLE_DFT);//240 240

    Paint_DrawPoint(5, 25, BLACK, DOT_PIXEL_2X2, DOT_STYLE_DFT);

    Paint_DrawPoint(5, 40, BLACK, DOT_PIXEL_3X3, DOT_STYLE_DFT);

    Paint_DrawPoint(5, 55, BLACK, DOT_PIXEL_4X4, DOT_STYLE_DFT);



    Paint_DrawLine(20, 10, 70, 60, RED, DOT_PIXEL_1X1, LINE_STYLE_SOLID);

    Paint_DrawLine(70, 10, 20, 60, RED, DOT_PIXEL_1X1, LINE_STYLE_SOLID);

    Paint_DrawLine(170, 15, 170, 55, RED, DOT_PIXEL_1X1, LINE_STYLE_DOTTED);

    Paint_DrawLine(150, 35, 190, 35, RED, DOT_PIXEL_1X1, LINE_STYLE_DOTTED);



    Paint_DrawRectangle(20, 10, 70, 60, BLUE, DOT_PIXEL_1X1, DRAW_FILL_EMPTY);

    Paint_DrawRectangle(85, 10, 130, 60, BLUE, DOT_PIXEL_1X1, DRAW_FILL_FULL);



    Paint_DrawCircle(170, 35, 20, GREEN, DOT_PIXEL_1X1, DRAW_FILL_EMPTY);

    Paint_DrawCircle(170, 85, 20, GREEN, DOT_PIXEL_1X1, DRAW_FILL_FULL);



    Paint_DrawString_EN(5, 70, "hello world", &Font16, WHITE, GREEN);

    Paint_DrawString_EN(5, 110, "buydisplay.com", &Font20, RED, WHITE);



     Paint_DrawNum(20, 200, 123456789, &Font20, BLUE, IMAGE_BACKGROUND);

     Paint_DrawString_EN(20, 250, "EastRising", &Font24, BLUE, RED);   

    // /*3.Refresh the picture in RAM to LCD*/

    LCD_1in69_Display(BlackImage);

    DEV_Delay_ms(2000);

    

    // /* show bmp */

    printf("show bmp\r\n");

    GUI_ReadBmp("./pic/pic1.bmp");

    

    LCD_1in69_Display(BlackImage);

    DEV_Delay_ms(2000);

    

  // /* show bmp */

    printf("show bmp\r\n");

    GUI_ReadBmp("./pic/pic2.bmp");

    

    LCD_1in69_Display(BlackImage);

    DEV_Delay_ms(2000);



  // /* show bmp */

    printf("show bmp\r\n");

    GUI_ReadBmp("./pic/pic3.bmp");

    

    LCD_1in69_Display(BlackImage);

    DEV_Delay_ms(2000);





  // /* show bmp */

    printf("show bmp\r\n");

    GUI_ReadBmp("./pic/pic4.bmp");

    

    LCD_1in69_Display(BlackImage);

    DEV_Delay_ms(2000);



  // /* show bmp */

    printf("show bmp\r\n");

    GUI_ReadBmp("./pic/pic5.bmp");

    

    LCD_1in69_Display(BlackImage);

    DEV_Delay_ms(2000);



  // /* show bmp */

    printf("show bmp\r\n");

    GUI_ReadBmp("./pic/pic6.bmp");

    

    LCD_1in69_Display(BlackImage);

    DEV_Delay_ms(2000);


// /* show bmp */

    printf("show bmp\r\n");

    GUI_ReadBmp("./pic/pic7.bmp");

    

    LCD_1in69_Display(BlackImage);

    DEV_Delay_ms(2000);


// /* show bmp */

    printf("show bmp\r\n");

    GUI_ReadBmp("./pic/pic8.bmp");

    

    LCD_1in69_Display(BlackImage);

    DEV_Delay_ms(2000);


// /* show bmp */

    printf("show bmp\r\n");

    GUI_ReadBmp("./pic/pic9.bmp");

    

    LCD_1in69_Display(BlackImage);

    DEV_Delay_ms(2000);


// /* show bmp */

    printf("show bmp\r\n");

    GUI_ReadBmp("./pic/pic10.bmp");

    

    LCD_1in69_Display(BlackImage);

    DEV_Delay_ms(2000);

// /* show bmp */

    printf("show bmp\r\n");

    GUI_ReadBmp("./pic/pic11.bmp");

    

    LCD_1in69_Display(BlackImage);

    DEV_Delay_ms(2000);



    /* Module Exit */

  /*  free(BlackImage);

    BlackImage = NULL;
    DEV_ModuleExit();*/
  }  
}